summary |
shortlog |
log |
commit | commitdiff |
tree
raw |
patch |
inline | side by side (from parent 1:
0be04e3)
This was used to verify that the black background behind the rotated
image was actually black.
--- /dev/null
+#!/bin/sh
+
+set -e
+
+FORMATS="ARGB BGR BGRA BGRx RGB RGBA RGBx AYUV xBGR xRGB GRAY8 GRAY16_BE GRAY16_LE"
+for format in $FORMATS;
+do
+ echo "Testing format: $format"
+ GST_PLUGIN_PATH=$(pwd) \
+ gst-launch-1.0 videotestsrc ! video/x-raw,format="$format",width=640,height=480 ! rotate angle="0.79" ! autovideoconvert ! autovideosink > /dev/null 2>&1
+done